com.google.cloud.dataflow.examples.complete.game.injector

## Class RetryHttpInitializerWrapper

- java.lang.Object
- - com.google.cloud.dataflow.examples.complete.game.injector.RetryHttpInitializerWrapper

All Implemented Interfaces:
  com.google.api.client.http.HttpRequestInitializer

    public class RetryHttpInitializerWrapper
    extends Object
    implements com.google.api.client.http.HttpRequestInitializer

RetryHttpInitializerWrapper will automatically retry upon RPC failures, preserving the auto-refresh behavior of the Google Credentials.

### Constructor Summary

Constructors
Constructor and Description
`RetryHttpInitializerWrapper(Credential wrappedCredential)` A constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize(com.google.api.client.http.HttpRequest request)` Initializes the given request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryHttpInitializerWrapper

    public RetryHttpInitializerWrapper(Credential wrappedCredential)

A constructor.

Parameters:
  `wrappedCredential` - Credential which will be wrapped and used for providing auth header.

### Method Detail

#### initialize

    public final void initialize(com.google.api.client.http.HttpRequest request)

Initializes the given request.

Specified by:
  `initialize` in interface `com.google.api.client.http.HttpRequestInitializer`